// ===========================================================================
//	CCrashedBehavior.h 				1999 Eric Traut
// ===========================================================================

#pragma once

#include "COffscreenBehavior.h"


class CCrashedBehavior : public COffscreenBehavior
{
	public:
		CCrashedBehavior(CShadowWindow &		inShadowWindow);

		virtual Boolean
		RenderToGWorld(	StGWorldLocker &		inBackingLocker,
						StGWorldLocker &		inRenderingLocker);

		virtual Boolean
		ShouldEnableRestoreMenu(void);

		virtual void
		HandleEvent(	EventRecord *		ioEvent, 
						Boolean *			ioResult);

	private:
		UInt32		mCrashState;
};



