// ===========================================================================
//	CInvertBehavior.h 				1999 Eric Traut
// ===========================================================================

#pragma once

#include "COffscreenBehavior.h"


class CInvertBehavior : public COffscreenBehavior
{
	public:
		CInvertBehavior(CShadowWindow &		inShadowWindow);

		virtual Boolean
		RenderToGWorld(	StGWorldLocker &		inBackingLocker,
						StGWorldLocker &		inRenderingLocker);

		virtual Boolean
		SyncWithShadowWindow(void);
		
	private:
		Rect		mInvertRect;
};



