// ===========================================================================
//	CNewCardBehavior.h 				1999 Eric Traut
// ===========================================================================

#pragma once

#include "COffscreenBehavior.h"


class CNewCardBehavior : public COffscreenBehavior
{
	public:
		CNewCardBehavior(CShadowWindow &		inShadowWindow);

		virtual Boolean
		RenderToGWorld(	StGWorldLocker &		inBackingLocker,
						StGWorldLocker &		inRenderingLocker);

		virtual void
		DoIdleTask(	Boolean 	inGNETime);

		virtual Boolean
		SyncWithShadowWindow(void);
		
	private:
		Boolean		mSlideDone;
		Rect		mInvertRect;
		UInt32		mLastBlitTicks;
		SInt32		mHOffset;
};



