// ===========================================================================
//	CPigLatinBehavior.h 				1999 Eric Traut
// ===========================================================================

#pragma once

#include "COffscreenBehavior.h"


class CPigLatinBehavior : public COffscreenBehavior
{
	public:
		CPigLatinBehavior(CShadowWindow &		inShadowWindow);

		virtual Boolean
		RenderToGWorld(	StGWorldLocker &		inBackingLocker,
						StGWorldLocker &		inRenderingLocker);

		virtual void
		DoQDText(				CGrafPtr		inOrigPort,
								short 			inByteCount, 
								Ptr 			inTextBuf, 
								Point 			inNumer, 
								Point 			inDenom);

		virtual SInt16
		DoQDTxMeas(				CGrafPtr		inOrigPort,
								SInt16 			inByteCount, 
								Ptr 			inTextAddr, 
								Point *			inNumer, 
								Point *			inDenom, 
								FontInfo *		inInfo);


		void
		ConvertTextToPigLatin(	const char *		inTextBuf,
								UInt32				inByteCount,
								Handle				outPigLatin);

		Boolean
		ShouldEnableRestoreMenu(void);
};



