// ===========================================================================
//	CWindowBehavior.h 				1999 Eric Traut
// ===========================================================================

#pragma once

#include <MacWindows.h>


class CShadowWindow;

class CWindowBehavior 
{
	public:
		CWindowBehavior(CShadowWindow &		inShadowWindow);
		
		virtual
		~CWindowBehavior(void);
		
		virtual Boolean
		SyncWithShadowWindow(void);
		
		virtual void
		DoIdleTask(Boolean inGNETime);
		
		virtual void
		HandleEvent(	EventRecord *		ioEvent, 
						Boolean *			ioResult);

		virtual void
		DetachBehavior(void);

		virtual Boolean
		ShouldEnableRestoreMenu(void);

	protected:
		CShadowWindow &			mShadowWindow;
};


