// ===========================================================================
//	CBlurBehavior.h 				1999 Eric Traut
// ===========================================================================

#pragma once

#include "COffscreenBehavior.h"


class CBlurBehavior : public COffscreenBehavior
{
	public:
		CBlurBehavior(CShadowWindow &		inShadowWindow);

		virtual Boolean
		RenderToGWorld(	StGWorldLocker &		inBackingLocker,
						StGWorldLocker &		inRenderingLocker);

		virtual Boolean
		SyncWithShadowWindow(void);
		
		void
		AccumColor(		UInt16		inPixel, 
						UInt32 &	ioAccumRed, 
						UInt32 &	ioAccumGreen, 
						UInt32 &	ioAccumBlue, 
						Fixed		inFraction);

	private:
		Rect		mBlurRect;
};



