// ===========================================================================
//	CVBlankBehavior.h 				1999 Eric Traut
// ===========================================================================

#pragma once

#include "COffscreenBehavior.h"


class CVBlankBehavior : public COffscreenBehavior
{
	public:
		CVBlankBehavior(CShadowWindow &		inShadowWindow);

		virtual Boolean
		RenderToGWorld(	StGWorldLocker &		inBackingLocker,
						StGWorldLocker &		inRenderingLocker);

		virtual Boolean
		SyncWithShadowWindow(void);
		
	private:
		Rect		mInvertRect;
		UInt32		mLastBlitTicks;
		SInt32		mVOffset;
};



