// ===========================================================================
//	TerminationUtils.h	 				1999 Eric Traut
// ===========================================================================

#pragma once


/* Type definitions */
typedef void (*TearDownProcPtr)(void);


/* Constant definitions */
enum
{
	kMaxTearDownProcs		= 10
};


/* Function prototypes */
#ifdef __cplusplus
extern "C" {
#endif

void		InitTerminationUtils(void);
void		DisableTearDownProcs(void);
void		InstallTearDownProc(TearDownProcPtr inProcToCall);

#ifdef __cplusplus
}
#endif




