// ===========================================================================
//	WaitNextEventPatch.h 				1999 Eric Traut
// ===========================================================================


#include <MacTypes.h>
#include <Events.h>

typedef pascal Boolean (*WaitNextEventProc)(
	EventMask 				eventMask,
	EventRecord *			theEvent,
	UInt32 					sleep,
	RgnHandle 				mouseRgn);

typedef pascal void (*InstallPatchProc)(void);

enum
{
	gestaltWNEPatch		= 'fWNE',
	kWNEPatchRsrcType	= 'WNEp',
	kWNEPatchRsrcID		= 128
};

typedef struct WNEPatchInfo WNEPatchInfo;
struct WNEPatchInfo
{
	WaitNextEventProc		fPatchEntry;
	WaitNextEventProc		fPatchCallThrough;
	Boolean					fPatchActive;
};



